## GstRTSPOnvifClient

    GObject
        ╰──GstRTSPClient
            ╰──GstRTSPOnvifClient

### Members

`parent` (GstRTSPClient) –
No description available

Since : 1.14

### Class structure

#### GstRTSPOnvifClientClass

##### Fields

`parent` (GstRTSPClientClass) –
No description available

### GstRtspServer.RTSPOnvifClientClass

##### Attributes

`parent` (GstRtspServer.RTSPClientClass) –
No description available

### GstRtspServer.RTSPOnvifClientClass

##### Attributes

`parent` (GstRtspServer.RTSPClientClass) –
No description available

## GstRtspServer.RTSPOnvifClient

    GObject.Object
        ╰──GstRtspServer.RTSPClient
            ╰──GstRtspServer.RTSPOnvifClient

### Members

`parent` (GstRtspServer.RTSPClient) –
No description available

Since : 1.14

## GstRtspServer.RTSPOnvifClient

    GObject.Object
        ╰──GstRtspServer.RTSPClient
            ╰──GstRtspServer.RTSPOnvifClient

### Members

`parent` (GstRtspServer.RTSPClient) –
No description available

Since : 1.14

### Constructors

#### gst_rtsp_onvif_client_new

    GstRTSPClient *
    gst_rtsp_onvif_client_new ()

Create a new GstRTSPOnvifClient instance.

Returns ( [transfer: full]) –

a new GstRTSPOnvifClient

Since : 1.18

#### GstRtspServer.RTSPOnvifClient.prototype.new

    function GstRtspServer.RTSPOnvifClient.prototype.new(): {
        // javascript wrapper for 'gst_rtsp_onvif_client_new'
    }

Create a new GstRtspServer.RTSPOnvifClient instance.

Returns (GstRtspServer.RTSPClient) –

a new GstRtspServer.RTSPOnvifClient

Since : 1.18

#### GstRtspServer.RTSPOnvifClient.new

    def GstRtspServer.RTSPOnvifClient.new ():
        #python wrapper for 'gst_rtsp_onvif_client_new'

Create a new GstRtspServer.RTSPOnvifClient instance.

Returns (GstRtspServer.RTSPClient) –

a new GstRtspServer.RTSPOnvifClient

Since : 1.18

## Function Macros

### GST_RTSP_ONVIF_CLIENT_CAST

    #define GST_RTSP_ONVIF_CLIENT_CAST(obj)         ((GstRTSPOnvifClient*)(obj))

### GST_RTSP_ONVIF_CLIENT_CLASS_CAST

    #define GST_RTSP_ONVIF_CLIENT_CLASS_CAST(klass) ((GstRTSPOnvifClientClass*)(klass))

The results of the search are